<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Http;
use Carbon\Carbon;

class generateAkruProblem extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:AkruProblem {--all : all zone} {--1 : update zone 1} {--2 : update zone 2} {--3 : update zone3}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        if($this->option('all')){
            $zone = 'all';
        }else if($this->option('1')){
            $zone = '1';
        }else if ($this->option('2')){
            $zone = '2';
        }else if ($this->option('3')){
            $zone = '3';
        }
       
        $monthly = Carbon::now();
        $monthly = new Carbon();

        $previousmonth = $monthly->subMonthsNoOverflow()->endOfMonth();
        $tahun = $previousmonth->year;

        $updateakru = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/admin/laporan/akrual/generateMonthly',[
            'zone' => $zone,
            'bulan' => $previousmonth->month,
            'tahun' => $tahun,
        ])->json();

        $updateIG = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/admin/laporan/akrual/updateImbangDuga',[
            'zone' => $zone,
            'tarikh' => $previousmonth->toDateString(),
        ])->json();

        $this->info('sucess');
    }
}
